<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: PlayerClient Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classPlayerClient-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PlayerClient Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for PlayerClient:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerClient__inherit__graph.png" border="0" usemap="#aPlayerClient_inherit__map" alt="Inheritance graph"/></div>
<map name="aPlayerClient_inherit__map" id="aPlayerClient_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,107,107"/>
<area shape="rect" title=" " alt="" coords="19,5,93,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for PlayerClient:</div>
<div class="dyncontent">
<div class="center"><img src="classPlayerClient__coll__graph.png" border="0" usemap="#aPlayerClient_coll__map" alt="Collaboration graph"/></div>
<map name="aPlayerClient_coll__map" id="aPlayerClient_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,107,107"/>
<area shape="rect" title=" " alt="" coords="19,5,93,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a72dbb1d8f043d6a28256456b7f2c168d"><td class="memItemLeft" align="right" valign="top"><a id="a72dbb1d8f043d6a28256456b7f2c168d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onConnected</b> ()</td></tr>
<tr class="separator:a72dbb1d8f043d6a28256456b7f2c168d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a267d6282c87259fef3e246515af5fdc2"><td class="memItemLeft" align="right" valign="top"><a id="a267d6282c87259fef3e246515af5fdc2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onReadyRead</b> ()</td></tr>
<tr class="separator:a267d6282c87259fef3e246515af5fdc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d926dc279bcc3926ac6f1c02afb3937"><td class="memItemLeft" align="right" valign="top"><a id="a3d926dc279bcc3926ac6f1c02afb3937"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onDisconnected</b> ()</td></tr>
<tr class="separator:a3d926dc279bcc3926ac6f1c02afb3937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a59a82bfaa5da00b34a411757b740db"><td class="memItemLeft" align="right" valign="top"><a id="a3a59a82bfaa5da00b34a411757b740db"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedReady</b> ()</td></tr>
<tr class="separator:a3a59a82bfaa5da00b34a411757b740db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d0722d03bcb2eae2d0ef6eb09888ada"><td class="memItemLeft" align="right" valign="top"><a id="a3d0722d03bcb2eae2d0ef6eb09888ada"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onClickedStart</b> ()</td></tr>
<tr class="separator:a3d0722d03bcb2eae2d0ef6eb09888ada"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4772cfe7e74a735cb2fbdafb37189345"><td class="memItemLeft" align="right" valign="top"><a id="a4772cfe7e74a735cb2fbdafb37189345"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onPlayerChoseWagon</b> (int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:a4772cfe7e74a735cb2fbdafb37189345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afec08ecc2399d7a476f61591e9fad4b2"><td class="memItemLeft" align="right" valign="top"><a id="afec08ecc2399d7a476f61591e9fad4b2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onPlayerPlayedCard</b> (int playerIndex, int CardIndex)</td></tr>
<tr class="separator:afec08ecc2399d7a476f61591e9fad4b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa75d276492bd0766ef71de6c66e1226"><td class="memItemLeft" align="right" valign="top"><a id="afa75d276492bd0766ef71de6c66e1226"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onPlayerDrawCards</b> (int playerIndex)</td></tr>
<tr class="separator:afa75d276492bd0766ef71de6c66e1226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac507211702a33f784119848f1cc08b20"><td class="memItemLeft" align="right" valign="top"><a id="ac507211702a33f784119848f1cc08b20"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionSheriffSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:ac507211702a33f784119848f1cc08b20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d7153c8d524c247d7812f491c8d1a1d"><td class="memItemLeft" align="right" valign="top"><a id="a7d7153c8d524c247d7812f491c8d1a1d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionFireSignal</b> (int playerIndex)</td></tr>
<tr class="separator:a7d7153c8d524c247d7812f491c8d1a1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ee9f93d6c61e73b8983097008d4b9a3"><td class="memItemLeft" align="right" valign="top"><a id="a6ee9f93d6c61e73b8983097008d4b9a3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionChangeFloorSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:a6ee9f93d6c61e73b8983097008d4b9a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03007d5064783189fe02b47d31d021ad"><td class="memItemLeft" align="right" valign="top"><a id="a03007d5064783189fe02b47d31d021ad"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionChangeWagonSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:a03007d5064783189fe02b47d31d021ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d1b2e3c340617708d39b8c3c8b6b67"><td class="memItemLeft" align="right" valign="top"><a id="a52d1b2e3c340617708d39b8c3c8b6b67"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionRobberySignal</b> (int treasureIndex, int wagonIndex)</td></tr>
<tr class="separator:a52d1b2e3c340617708d39b8c3c8b6b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b465e4be5b47c4c5eb73755c5caa009"><td class="memItemLeft" align="right" valign="top"><a id="a5b465e4be5b47c4c5eb73755c5caa009"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onActionPunchSignal</b> (int treasureIndex, int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:a5b465e4be5b47c4c5eb73755c5caa009"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:ae133afce7c80e48ddd5ba09ecdbbeb49"><td class="memItemLeft" align="right" valign="top"><a id="ae133afce7c80e48ddd5ba09ecdbbeb49"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>changeReadyColor</b> (bool)</td></tr>
<tr class="separator:ae133afce7c80e48ddd5ba09ecdbbeb49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10975fca476a7ab88f3bd39e2f85acd3"><td class="memItemLeft" align="right" valign="top"><a id="a10975fca476a7ab88f3bd39e2f85acd3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>changeStartColor</b> ()</td></tr>
<tr class="separator:a10975fca476a7ab88f3bd39e2f85acd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf85fc224dc45a5b6c08e70b86fc355f"><td class="memItemLeft" align="right" valign="top"><a id="abf85fc224dc45a5b6c08e70b86fc355f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>gameLoaded</b> ()</td></tr>
<tr class="separator:abf85fc224dc45a5b6c08e70b86fc355f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa290094c5d5dfb875da43d31b2c599aa"><td class="memItemLeft" align="right" valign="top"><a id="aa290094c5d5dfb875da43d31b2c599aa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>playerChoseWagon</b> (int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:aa290094c5d5dfb875da43d31b2c599aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab40024f744486323c0fccab8b52f17db"><td class="memItemLeft" align="right" valign="top"><a id="ab40024f744486323c0fccab8b52f17db"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>playerPlayedCard</b> (int playerIndex, int CardIndex)</td></tr>
<tr class="separator:ab40024f744486323c0fccab8b52f17db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32eb7e434eb49eceea2884d96bb06c36"><td class="memItemLeft" align="right" valign="top"><a id="a32eb7e434eb49eceea2884d96bb06c36"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>playerDrawCards</b> (int playerIndex)</td></tr>
<tr class="separator:a32eb7e434eb49eceea2884d96bb06c36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c47cbf6e6c08d89ffcedfd6c41e738a"><td class="memItemLeft" align="right" valign="top"><a id="a7c47cbf6e6c08d89ffcedfd6c41e738a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionSheriffSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:a7c47cbf6e6c08d89ffcedfd6c41e738a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf6cc4df48a7bf6f9d58873c69d856b9"><td class="memItemLeft" align="right" valign="top"><a id="aaf6cc4df48a7bf6f9d58873c69d856b9"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionFireSignal</b> (int playerIndex)</td></tr>
<tr class="separator:aaf6cc4df48a7bf6f9d58873c69d856b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaca3a632017bea342f621c61f8972e8"><td class="memItemLeft" align="right" valign="top"><a id="afaca3a632017bea342f621c61f8972e8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionChangeFloorSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:afaca3a632017bea342f621c61f8972e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb1931e2c2346a696a0f3e2bd826b892"><td class="memItemLeft" align="right" valign="top"><a id="acb1931e2c2346a696a0f3e2bd826b892"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionChangeWagonSignal</b> (int wagonIndex)</td></tr>
<tr class="separator:acb1931e2c2346a696a0f3e2bd826b892"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b516bdec58a8b252927b47d08706531"><td class="memItemLeft" align="right" valign="top"><a id="a3b516bdec58a8b252927b47d08706531"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionRobberySignal</b> (int treasureIndex, int wagonIndex)</td></tr>
<tr class="separator:a3b516bdec58a8b252927b47d08706531"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b30e48625a10a3fac1c0e39d34e4a00"><td class="memItemLeft" align="right" valign="top"><a id="a2b30e48625a10a3fac1c0e39d34e4a00"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionPunchSignal</b> (int treasureIndex, int playerIndex, int wagonIndex)</td></tr>
<tr class="separator:a2b30e48625a10a3fac1c0e39d34e4a00"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0514fcbc26e9dfdc349929e85990bd14"><td class="memItemLeft" align="right" valign="top"><a id="a0514fcbc26e9dfdc349929e85990bd14"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>PlayerClient</b> (QObject *parent=nullptr)</td></tr>
<tr class="separator:a0514fcbc26e9dfdc349929e85990bd14"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9308a4e911ced5303c8f8917765ebe2"><td class="memItemLeft" align="right" valign="top"><a id="ae9308a4e911ced5303c8f8917765ebe2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>startClient</b> ()</td></tr>
<tr class="separator:ae9308a4e911ced5303c8f8917765ebe2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a673ea54fa3df07eed303ce59c6239144"><td class="memItemLeft" align="right" valign="top"><a id="a673ea54fa3df07eed303ce59c6239144"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>sendMessage</b> (QString message)</td></tr>
<tr class="separator:a673ea54fa3df07eed303ce59c6239144"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8254c0f2aee850a3700ad64892ec19d6"><td class="memItemLeft" align="right" valign="top"><a id="a8254c0f2aee850a3700ad64892ec19d6"></a>
std::vector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getNames</b> ()</td></tr>
<tr class="separator:a8254c0f2aee850a3700ad64892ec19d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93d82bc2e14c51b4d7b757dff6e387ac"><td class="memItemLeft" align="right" valign="top"><a id="a93d82bc2e14c51b4d7b757dff6e387ac"></a>
std::vector&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>getReadys</b> ()</td></tr>
<tr class="separator:a93d82bc2e14c51b4d7b757dff6e387ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a330a20d65ba12305890d0d73398b9c86"><td class="memItemLeft" align="right" valign="top"><a id="a330a20d65ba12305890d0d73398b9c86"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>getHost</b> ()</td></tr>
<tr class="separator:a330a20d65ba12305890d0d73398b9c86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a83445badf010d7c882673084510dee"><td class="memItemLeft" align="right" valign="top"><a id="a3a83445badf010d7c882673084510dee"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getIndex</b> ()</td></tr>
<tr class="separator:a3a83445badf010d7c882673084510dee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe059ba6c496fb065437499f7de0d908"><td class="memItemLeft" align="right" valign="top"><a id="afe059ba6c496fb065437499f7de0d908"></a>
QString&#160;</td><td class="memItemRight" valign="bottom"><b>getUsername</b> ()</td></tr>
<tr class="separator:afe059ba6c496fb065437499f7de0d908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23b52a5a0c8d66ff247ae56cfcc78602"><td class="memItemLeft" align="right" valign="top"><a id="a23b52a5a0c8d66ff247ae56cfcc78602"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayerCount</b> ()</td></tr>
<tr class="separator:a23b52a5a0c8d66ff247ae56cfcc78602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa9bda443154a5cafc8d464949a00c4d"><td class="memItemLeft" align="right" valign="top"><a id="afa9bda443154a5cafc8d464949a00c4d"></a>
<a class="el" href="classPlayerPerspective.html">PlayerPerspective</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>getPlayerPerspective</b> ()</td></tr>
<tr class="separator:afa9bda443154a5cafc8d464949a00c4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c76e13b1ecca0ced562dd5794b1e64"><td class="memItemLeft" align="right" valign="top"><a id="a08c76e13b1ecca0ced562dd5794b1e64"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setUsername</b> (QString)</td></tr>
<tr class="separator:a08c76e13b1ecca0ced562dd5794b1e64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f5c53a8b6a4b6abd97225ac654ee06e"><td class="memItemLeft" align="right" valign="top"><a id="a5f5c53a8b6a4b6abd97225ac654ee06e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>allReady</b> ()</td></tr>
<tr class="separator:a5f5c53a8b6a4b6abd97225ac654ee06e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/client/<a class="el" href="playerclient_8h_source.html">playerclient.h</a></li>
<li>src/client/playerclient.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
